Package: org.codehaus.groovy.classgen.asm.util

## [Java] Class TypeUtil

- org.codehaus.groovy.classgen.asm.util.TypeUtil

-     public abstract class TypeUtil
      extends Object

  A utility for getting information of types

  Since:
    2.5.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Class` | `autoboxType(Class type)`
    `` | `public static String` | `getDescriptionByName(String name)`
    `` | `public static String` | `getDescriptionByType(ClassNode type)`
    `` | `public static int` | `getLoadInsnByType(org.objectweb.asm.Type type)`
    `` | `public static int` | `getReturnInsnByType(org.objectweb.asm.Type type)`
    `` | `public static String` | `getWrappedClassDescriptor(org.objectweb.asm.Type type)`
    `` | `public static boolean` | `isPrimitiveType(org.objectweb.asm.Type type)`
    `` | `public static boolean` | `isPrimitiveType(String name)`
    `` | `public static boolean` | `isPrimitiveType(ClassNode type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Class autoboxType(Class type)

    - #### public static String getDescriptionByName(String name)

    - #### public static String getDescriptionByType(ClassNode type)

    - #### public static int getLoadInsnByType(org.objectweb.asm.Type type)

    - #### public static int getReturnInsnByType(org.objectweb.asm.Type type)

    - #### public static String getWrappedClassDescriptor(org.objectweb.asm.Type type)

    - #### public static boolean isPrimitiveType(org.objectweb.asm.Type type)

    - #### public static boolean isPrimitiveType(String name)

    - #### public static boolean isPrimitiveType(ClassNode type)